import RelativeJsonPointerError from "./RelativeJsonPointerError.mjs";
/**
 * @public
 */
/**
 * @public
 */
class EvaluationRelativeJsonPointerError extends RelativeJsonPointerError {
  relativePointer;
  currentElement;
  rootElement;
  cursorElement;
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
      this.currentElement = structuredOptions.currentElement;
      this.rootElement = structuredOptions.rootElement;
      this.cursorElement = structuredOptions.cursorElement;
    }
  }
}
export default EvaluationRelativeJsonPointerError;